# $Revision: 1.85 $, $Date: 2010/02/02 22:10:51 $
#
# Conditional build:
%bcond_without	dotnet	# without .net support
#
%ifarch i386
%undefine	with_dotnet
%endif
%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}
Summary:	GMIME library
Summary(pl.UTF-8):	Biblioteka GMIME
Name:		gmime
Version:	2.4.15
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gmime/2.4/%{name}-%{version}.tar.bz2
# Source0-md5:	604ec62e1ce4d149d724f5d3ee69c110
Patch0:		%{name}-link.patch
URL:		http://spruce.sourceforge.net/gmime/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
%if %{with dotnet}
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.9.0
BuildRequires:	mono-csharp >= 1.1.16.1
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate MIME messages.

%description -l pl.UTF-8
Ta biblioteka pozwala na manipulowanie wiadomościami MIME.

%package devel
Summary:	Header files to develop libgmime applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem libgmime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.1
Requires:	zlib-devel

%description devel
Header files develop libgmime applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libgmime.

%package static
Summary:	Static gmime library
Summary(pl.UTF-8):	Statyczna biblioteka gmime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmime library.

%description static -l pl.UTF-8
Statyczna biblioteka gmime.

%package apidocs
Summary:	gmime library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gmime
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gmime library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gmime.

%package -n dotnet-gmime-sharp
Summary:	.NET language bindings for gmime
Summary(pl.UTF-8):	Wiązania gmime dla .NET
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2 >= 2.9.0
Requires:	mono >= 1.1.16.1

%description -n dotnet-gmime-sharp
.NET language bindings for gmime

%description -n dotnet-gmime-sharp -l pl.UTF-8
Wiązania gmime dla .NET

%package -n dotnet-gmime-sharp-devel
Summary:	Development part of dotnet-gmime-sharp
Summary(pl.UTF-8):	Część dla programistów dotnet-gmime-sharp
Group:		Development/Libraries
Requires:	dotnet-%{name}-sharp = %{version}-%{release}

%description -n dotnet-gmime-sharp-devel
Development part of dotnet-gmime-sharp.

%description -n dotnet-gmime-sharp-devel -l pl.UTF-8
Część dla programistów dotnet-gmime-sharp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-largefile \
	--%{?with_dotnet:enable}%{!?with_dotnet:disable}-mono \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/uu{de,en}code

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libgmime-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmime-2.4.so.2

%files devel
%defattr(644,root,root,755)
%doc PORTING
%attr(755,root,root) %{_libdir}/libgmime-2.4.so
%{_libdir}/libgmime-2.4.la
%{_pkgconfigdir}/gmime-2.4.pc
%{_includedir}/gmime-2.4

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmime-2.4.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gmime-2.4

%if %{with dotnet}
%files -n dotnet-gmime-sharp
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/gmime-sharp

%files -n dotnet-gmime-sharp-devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gmime-sharp-2.4
%{_pkgconfigdir}/gmime-sharp-2.4.pc
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmime.spec,v $
Revision 1.85  2010/02/02 22:10:51  megabajt
- updated to 2.4.15

Revision 1.84  2009/11/30 00:32:12  sparky
- BR: gettext-devel

Revision 1.83  2009/11/12 19:34:55  megabajt
- updated to 2.4.11

Revision 1.82  2009/04/28 18:05:21  megabajt
- updated to 2.4.7

Revision 1.81  2009/04/09 13:21:40  megabajt
- updated to 2.4.6
- updated -link.patch

Revision 1.80  2009/03/18 19:08:17  megabajt
- updated to 2.4.4

Revision 1.79  2008/10/22 20:04:04  megabajt
- updated to 2.4.3

Revision 1.78  2008/10/16 21:26:14  megabajt
- fixed location of apidocs (to avoid conflicts)
- release 2

Revision 1.77  2008/10/10 16:35:29  megabajt
- updated to 2.4.2; merged changes from DEVEL

Revision 1.76  2008/08/29 16:06:23  qboosh
- updated to 2.2.22
- library license is LGPL (v2.1+), only tools are GPL but are not packaged

Revision 1.74.2.2  2008/08/16 18:30:34  patrys
- 2.3.7

Revision 1.75  2008/07/27 15:05:12  megabajt
- release 2

Revision 1.74.2.1  2008/06/19 12:35:21  patrys
- 2.3.4

Revision 1.74  2008/05/24 16:09:54  patrys
- 2.2.21

Revision 1.73  2008-05-18 15:36:45  patrys
- 2.2.20

Revision 1.72  2008-01-08 11:17:48  patrys
- 2.2.15

Revision 1.71  2007-12-30 21:44:58  zbyniu
- up to 2.2.12

Revision 1.70  2007-12-15 00:06:16  qboosh
- updated to 2.2.11
- enable largefile support
- removed obsolete --enable-ipv6 (always enabled now)

Revision 1.69  2007/06/16 13:57:25  qboosh
- updated to 2.2.9

Revision 1.68  2007/02/24 16:12:55  qrczak
- Removed a duplicate in %files

Revision 1.67  2007/02/17 14:57:35  qboosh
- updated to 2.2.4
- config.rpath hack

Revision 1.66  2007/02/17 13:09:40  qboosh
- mono is supported on alpha,sparc* now

Revision 1.65  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.64  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.63  2006/08/12 22:08:35  freetz
- typo

Revision 1.62  2006/08/11 21:50:31  freetz
- 2.2.3, use HEAD deps

Revision 1.61  2006/08/01 19:14:57  freetz
- rel.3

Revision 1.60  2006/06/22 17:46:08  freetz
- rel.2, bleeding edge deps

Revision 1.59  2006/01/28 10:02:31  freetz
- 2.1.19

Revision 1.58  2005/12/01 20:33:02  freetz
- fixed dotnet bcond

Revision 1.57  2005/11/30 15:56:44  freetz
- exclude i386 from dotnet bindings, rel.3

Revision 1.56  2005/10/24 19:50:30  qboosh
- removed libdir patch (fixes lib64 issue)
- disable dotnet on currently unsupported archs
- release 2

Revision 1.55  2005/10/14 09:06:28  qboosh
- updated to 2.1.17

Revision 1.54  2005/09/10 22:22:06  freetz
- mono autodeps, rel.2

Revision 1.53  2005/08/29 18:13:27  qboosh
- updated to 2.1.16 (uses gtk-sharp2 now)

Revision 1.52  2005/07/12 21:53:07  freetz
- documentation is totally incompete, so there is no need to work on
  instaling it, rel.1

Revision 1.51  2005/07/12 14:49:37  freetz
- 2.1.15, gtk-doc broken and disabled by default

Revision 1.50  2005/05/03 20:18:59  qboosh
- build dotnet* on alpha; release 2

Revision 1.49  2005/04/16 00:02:37  qboosh
- updated to 2.1.14, updated deps

Revision 1.48  2005/03/27 21:46:20  qboosh
- updated to 2.1.13

Revision 1.47  2005/02/24 23:29:54  aniolek
- updated to 2.1.12

Revision 1.46  2005/02/10 21:42:10  qboosh
- updated to 2.1.11, added libdir patch (gmime-sharp.pc fix)

Revision 1.45  2005/01/22 16:32:50  qboosh
- updated to 2.1.10, updated link patch
- mono binding already in sources (not tested though)

Revision 1.44  2004/12/16 00:25:10  ankry
- missing BR, rel. 5

Revision 1.43  2004/12/14 11:59:49  krzak
- rel. 4
- build everywhere

Revision 1.42  2004/12/14 11:43:36  krzak
- ups. undefine dothet for alpha have to be on the top

Revision 1.41  2004/12/14 11:35:41  krzak
- rel. 3
- mono on alpha still broken
- add assemblies link to dotnet-gmime-sharp-devel

Revision 1.40  2004/12/14 11:06:51  krzak
- gmime-sharp.pc moved to dotnet-gmime-sharp-devel

Revision 1.39  2004/12/14 10:58:49  krzak
- fixed conditional build

Revision 1.38  2004/12/14 10:48:24  krzak
- rel. 2
- added .NET binding taken from gmime cvs
- dotnet-gmime-sharp,dotnet-gmime-sharp-devel packaged added
- Patch1: mono.patch, Source1: gmime-mono.tar.bz2

Revision 1.37  2004/10/03 21:04:40  aflinta
- up to version 2.1.9

Revision 1.36  2004/09/21 13:32:15  ankry
- rm uuencode/uudecode

Revision 1.35  2004/08/25 06:13:05  qboosh
- updated to 2.1.8

Revision 1.34  2004/08/11 21:33:00  qboosh
- License is GPL v2+

Revision 1.33  2004/08/10 17:10:56  aflinta
- up to version 2.1.7

Revision 1.32  2004/05/24 17:32:17  qboosh
- updated link patch, -devel R: glib2-devel (libgmime uses glib now)
- strict internal deps

Revision 1.31  2004/05/23 12:50:22  aflinta
- really removed obsoleted ipv6 patch

Revision 1.30  2004/05/23 12:48:45  aflinta
- up to version 2.1.5

Revision 1.29  2003/12/07 11:12:44  qboosh
- updated to 2.1.1, replaced old ipv6-fix patch by new one

Revision 1.28  2003/09/05 16:45:31  qboosh
- updated to 2.1.0
- removed obsolete DESTDIR,am15,types patches, added link,ipv6-fix patches

Revision 1.27  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.26  2003/05/25 05:48:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.24  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/09/05 07:55:19  qboosh
- types patch comes back - it was only in 1/3 obsolete (grrr...)
- release 2

Revision 1.22  2002/09/03 20:39:24  kloczek
- updated to 1.90.1,
- removed outdated cvs20020719 and types patches.

Revision 1.21  2002/08/29 14:10:32  qboosh
- fixed build on 64-bit archs (types patch)
- fixed am15 patch, added gtk-doc files
- BR: glib2-devel, release 3

Revision 1.20  2002/07/19 08:40:21  marcus
- fixed some bugs (from gmime cvs)
- rel.2.

Revision 1.19  2002/07/18 11:49:48  marcus
- removed CFLAGS hack, unicode.h now is in /usr/include

Revision 1.18  2002/07/18 10:31:10  kloczek
- added am15 patch: now we can perfrm full regeneratuion ac/am/lt files.

Revision 1.17  2002/07/18 07:58:24  marcus
-i addedd regeneration ac/am (without automake because it crashes %%install)
- rel.1.

Revision 1.16  2002/07/17 12:40:03  speedy
- so

Revision 1.15  2002/07/17 09:31:25  speedy
- updated to 1.90.0
- new %doc
- quick hack.. but works

Revision 1.14  2002/05/30 11:53:28  radzio
- updated to 0.9.0
- rel 1
- change URL and source URL
- updated DESTDIR.patch too
- STBR

Revision 1.13  2002/05/21 23:13:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/04/25 16:25:22  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/09/26 10:36:28  qboosh
- BuildRequires: libtool

Revision 1.6  2001/08/12 12:20:56  blues
- Release 2
- adapterized
- translations
- libtoolized

Revision 1.5  2001/07/28 15:08:08  migo
- added pl summary and description

Revision 1.4  2001/04/23 16:35:43  kloczek
- updated to 0.5.0,
- updated %fiels lists,
- move NEWS %doc to main.

Revision 1.3  2001/01/02 16:36:28  kloczek
- updated to 0.3.0,
- corrected Source url and URL.

Revision 1.2  2000/11/23 00:02:56  kloczek
- spec rewrited in PLD style but seems package is not yet redy for make
  regular package.
